package com.ekexiu.portal.pojo;

import java.util.List;

import com.ekexiu.portal.po.Honor;
import com.ekexiu.portal.po.Paper;
import com.ekexiu.portal.po.PartTimeJob;
import com.ekexiu.portal.po.Patent;
import com.ekexiu.portal.po.Professor;
import com.ekexiu.portal.po.ProfessorEduBg;
import com.ekexiu.portal.po.Project;
import com.ekexiu.portal.po.ResearchArea;
import com.ekexiu.portal.po.ResearchAreaLog;

public class ProfessorInfo extends Professor{
	
	private String orgName;
	/**
	 * 研究方向
	 */
	private List<ResearchArea> researchAreas;
	private List<ResearchAreaLog> researchAreaLogs;
	/**
	 * 教育背景
	 */
	private List<ProfessorEduBg> edus;
	/**
	 * 社会兼职
	 */
	private List<PartTimeJob> jobs;
	/**
	 * 论文 
	 */
	private List<Paper> papers;
	/**
	 * 专利
	 */
	private List<Patent> patents;
	/**
	 * 荣誉
	 */
	private List<Honor> honors;
	/**
	 * 项目
	 */
	private List<Project> projects;
	
	
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public List<ResearchAreaLog> getResearchAreaLogs() {
		return researchAreaLogs;
	}
	public void setResearchAreaLogs(List<ResearchAreaLog> researchAreaLogs) {
		this.researchAreaLogs = researchAreaLogs;
	}
	public List<ResearchArea> getResearchAreas() {
		return researchAreas;
	}
	public void setResearchAreas(List<ResearchArea> researchAreas) {
		this.researchAreas = researchAreas;
	}
	public List<ProfessorEduBg> getEdus() {
		return edus;
	}
	public void setEdus(List<ProfessorEduBg> edus) {
		this.edus = edus;
	}
	public List<PartTimeJob> getJobs() {
		return jobs;
	}
	public void setJobs(List<PartTimeJob> ptJobs) {
		this.jobs = ptJobs;
	}
	public List<Paper> getPapers() {
		return papers;
	}
	public void setPapers(List<Paper> papers) {
		this.papers = papers;
	}
	public List<Patent> getPatents() {
		return patents;
	}
	public void setPatents(List<Patent> patents) {
		this.patents = patents;
	}
	public List<Honor> getHonors() {
		return honors;
	}
	public void setHonors(List<Honor> honors) {
		this.honors = honors;
	}
	public List<Project> getProjects() {
		return projects;
	}
	public void setProjects(List<Project> projects) {
		this.projects = projects;
	}
}
